Bug 817764 - Can you build 0.9.5 for epel5 please?
Can you build 0.9.5 for epel5 please?
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: python-pika (Show other bugs)
el5
All Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Ilia Cheishvili
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-01 03:46 EDT by Gavin McCance
Modified: 2012-06-01 22:39 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-01 22:39:01 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gavin McCance 2012-05-01 03:46:33 EDT
Description of problem:

No build of 0.9.5 for epel5

Additional info:

With this patch to top of the spec file:

0a1,5
> %if 0%{?rhel} <= 5
> %{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
> %{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
> %endif
>

as per:

http://fedoraproject.org/wiki/Packaging:Python#Macros


it builds and runs fine - I just tested for epel5 and it looks good.

cheers,
gav
Comment 1 Fedora Update System 2012-05-13 20:53:12 EDT
python-pika-0.9.5-3.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/python-pika-0.9.5-3.el5
Comment 2 Fedora Update System 2012-05-14 22:09:55 EDT
python-pika-0.9.5-3.el5 has been pushed to the Fedora EPEL 5 testing repository.
Comment 3 Fedora Update System 2012-06-01 22:39:01 EDT
python-pika-0.9.5-3.el5 has been pushed to the Fedora EPEL 5 stable repository.

Note You need to log in before you can comment on or make changes to this bug.